%define		plugin lighttpd
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	Template for Cacti - Lighttpd stats
Name:		cacti-template-%{plugin}
Version:	1.0
Release:	9
License:	GPL v2
Group:		Applications/WWW
# http://forums.cacti.net/download.php?id=8273
Source0:	lighttpd_stats_%{version}.tar.gz
# Source0-md5:	09aa6716901e08301517004de099d240
Patch0:		fixes.patch
URL:		http://forums.cacti.net/viewtopic.php?t=19676
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.554
Requires:	cacti >= 0.8.7e-8
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
Obsoletes:	cacti-plugin-lighttpd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		cactidir		/usr/share/cacti
%define		resourcedir		%{cactidir}/resource
%define		scriptsdir		%{cactidir}/scripts

%description
This package provides a script server script and cacti templates for
graphing statistics for a lighttpd webserver.

%prep
%setup -q -n lighttpd_stats_%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{resourcedir},%{scriptsdir}}
cp -p *.xml $RPM_BUILD_ROOT%{resourcedir}
install -p *.php $RPM_BUILD_ROOT%{scriptsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%cacti_import_template %{resourcedir}/cacti_host_template_webserver_lighttpd.xml

%files
%defattr(644,root,root,755)
%doc README INSTALL CHANGELOG
%attr(755,root,root) %{scriptsdir}/ss_lighttpd_stats.php
%{resourcedir}/cacti_host_template_webserver_lighttpd.xml
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> d5f5222
- use php(core) as dependency to require php version
- release 8 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 19070f1
- use virtual php extension deps (to be independant of php version)
- release 8 (by relup.sh)

* Fri Dec 23 2011 Elan Ruusamäe <glen@pld-linux.org> 8a24bd9
- release 4

* Thu Oct 27 2011 Elan Ruusamäe <glen@pld-linux.org> 7f1a1c0
- php deps

* Thu Oct 27 2011 Elan Ruusamäe <glen@pld-linux.org> 08841bf
- this is template, not plugin, rename accordingly

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> f09aeb8
- merge code from cacti source for ss scripts

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> a6f0521
- rediff

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 5ec3f4f
- fix help doc part

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 51b53f3
- url that relateds with this addon

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 3f7577b
- bugfixes for traffic via proxy; rel 2

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 74be4dd
- allow http/1.0 status (if routed via proxy)
- separate http headers/body and process only body to be on safe side what we process

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> c821d0f
- hiding errors is pure evil
- shellbang

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 6bf99f2
- register template; rel 1

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> e55bf96
- err, executable

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> 13c541b
- typo

* Sun Oct 05 2008 Elan Ruusamäe <glen@pld-linux.org> b94c096
- new

